|  | Home | Documentation | gsoapConfiguration_S Struct Reference updated Thu Jun 24 2021 by Robert van Engelen |

- Main Page
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
gsoapConfiguration_S Struct Reference
Collaboration diagram for gsoapConfiguration_S:
[legend]

## Public Attributes
SoapSharedLibraries * | m_pLibraries
ConfigurationType | m_Type

## Detailed Description

Store the configuration information set in the Apache Server configuration directives. These are set e.g. in the file httpd.conf It's perfectly reasonable to have two different structures for the two different environments. The same command handlers will be called for both, though, so the handlers need to be able to tell them apart. One possibility is for both structures to start with an int which is zero for one and 1 for the other.

Note that while the per-directory and per-server configuration records are available to most of the module handlers, they should be treated as READ-ONLY by all except the command and merge handlers. Sometimes handlers are handed a record that applies to the current location by implication or inheritance, and modifying it will change the rules for other locations.

## Member Data Documentation

SoapSharedLibraries* gsoapConfiguration_S::m_pLibraries

ConfigurationType gsoapConfiguration_S::m_Type

The documentation for this struct was generated from the following file:

- mod_gsoap.c